Bug 1465676 - Review Request: mingw-graphite2 - MinGW Windows graphite2 library
Review Request: mingw-graphite2 - MinGW Windows graphite2 library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Rosser
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-27 18:59 EDT by Sandro Mani
Modified: 2017-07-27 12:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-27 12:51:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rosser.bjr: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Sandro Mani 2017-06-27 18:59:47 EDT
Spec URL: https://smani.fedorapeople.org/review/mingw-graphite2.spec
SRPM URL: https://smani.fedorapeople.org/review/mingw-graphite2-1.3.10-1.fc27.src.rpm
Description: MinGW Windows graphite2 library
Fedora Account System Username: smani
Comment 1 Ben Rosser 2017-07-09 14:41:16 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======

- The static packages should have %license macros in their files list,
  since they are installable separately.

- You should include a comment in the spec explaining the license breakdown
  in the spec.

Otherwise the package is fine; just fix these things and I'll approve it.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* CDDL", "GPL LGPL (v2.1)", "LGPL (v2.1)",
     "Unknown or generated", "Artistic LGPL (v2 or later)". 258 files have
     unknown license. Detailed output of licensecheck in
     /home/bjr/Programming/fedora/reviews/1465676-mingw-
     graphite2/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[!]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/x86_64-w64-mingw32/sys-
     root, /usr/i686-w64-mingw32/sys-root/mingw/bin, /usr/i686-w64-mingw32
     /sys-root/mingw, /usr/i686-w64-mingw32/sys-root,
     /usr/x86_64-w64-mingw32, /usr/i686-w64-mingw32/sys-root/mingw/lib,
     /usr/x86_64-w64-mingw32/sys-root/mingw/lib/pkgconfig,
     /usr/i686-w64-mingw32, /usr/i686-w64-mingw32/sys-
     root/mingw/lib/pkgconfig, /usr/i686-w64-mingw32/sys-
     root/mingw/include, /usr/x86_64-w64-mingw32/sys-root/mingw,
     /usr/x86_64-w64-mingw32/sys-root/mingw/bin, /usr/x86_64-w64-mingw32
     /sys-root/mingw/include, /usr/x86_64-w64-mingw32/sys-root/mingw/lib
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     mingw32-graphite2 , mingw32-graphite2-static , mingw64-graphite2 ,
     mingw64-graphite2-static , mingw32-graphite2-debuginfo ,
     mingw64-graphite2-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: The placement of pkgconfig(.pc) files are correct.
     Note: mingw64-graphite2 : /usr/x86_64-w64-mingw32/sys-
     root/mingw/lib/pkgconfig/graphite2.pc mingw32-graphite2 :
     /usr/i686-w64-mingw32/sys-root/mingw/lib/pkgconfig/graphite2.pc
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mingw32-graphite2-1.3.10-1.fc27.noarch.rpm
          mingw32-graphite2-static-1.3.10-1.fc27.noarch.rpm
          mingw64-graphite2-1.3.10-1.fc27.noarch.rpm
          mingw64-graphite2-static-1.3.10-1.fc27.noarch.rpm
          mingw32-graphite2-debuginfo-1.3.10-1.fc27.noarch.rpm
          mingw64-graphite2-debuginfo-1.3.10-1.fc27.noarch.rpm
          mingw-graphite2-1.3.10-1.fc27.src.rpm
mingw32-graphite2.noarch: W: invalid-license MPL
mingw32-graphite2.noarch: W: no-documentation
mingw32-graphite2-static.noarch: W: invalid-license MPL
mingw32-graphite2-static.noarch: W: no-documentation
mingw64-graphite2.noarch: W: invalid-license MPL
mingw64-graphite2.noarch: W: no-documentation
mingw64-graphite2-static.noarch: W: invalid-license MPL
mingw64-graphite2-static.noarch: W: no-documentation
mingw32-graphite2-debuginfo.noarch: W: invalid-license MPL
mingw32-graphite2-debuginfo.noarch: E: debuginfo-without-sources
mingw64-graphite2-debuginfo.noarch: W: invalid-license MPL
mingw64-graphite2-debuginfo.noarch: E: debuginfo-without-sources
mingw-graphite2.src: W: invalid-license MPL
7 packages and 0 specfiles checked; 2 errors, 11 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
mingw32-graphite2-static.noarch: W: invalid-license MPL
mingw32-graphite2-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-w64-mingw32/sys-root/mingw/lib/libgraphite2.a
mingw32-graphite2-static.noarch: W: no-documentation
mingw32-graphite2-static.noarch: W: non-standard-dir-in-usr i686-w64-mingw32
mingw64-graphite2-static.noarch: W: invalid-license MPL
mingw64-graphite2-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libgraphite2.a
mingw64-graphite2-static.noarch: W: no-documentation
mingw64-graphite2-static.noarch: W: non-standard-dir-in-usr x86_64-w64-mingw32
mingw64-graphite2-debuginfo.noarch: W: invalid-license MPL
mingw64-graphite2-debuginfo.noarch: E: debuginfo-without-sources
mingw64-graphite2-debuginfo.noarch: W: non-standard-dir-in-usr x86_64-w64-mingw32
mingw32-graphite2.noarch: W: invalid-license MPL
mingw32-graphite2.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-w64-mingw32/sys-root/mingw/lib/libgraphite2.dll.a
mingw32-graphite2.noarch: W: no-documentation
mingw32-graphite2.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/graphite2/Font.h
mingw32-graphite2.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/graphite2/Log.h
mingw32-graphite2.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/graphite2/Segment.h
mingw32-graphite2.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/graphite2/Types.h
mingw32-graphite2.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/lib/libgraphite2.dll.a
mingw32-graphite2.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/lib/pkgconfig/graphite2.pc
mingw32-graphite2.noarch: W: non-standard-dir-in-usr i686-w64-mingw32
mingw64-graphite2.noarch: W: invalid-license MPL
mingw64-graphite2.noarch: E: arch-independent-package-contains-binary-or-object /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libgraphite2.dll.a
mingw64-graphite2.noarch: W: no-documentation
mingw64-graphite2.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/graphite2/Font.h
mingw64-graphite2.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/graphite2/Log.h
mingw64-graphite2.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/graphite2/Segment.h
mingw64-graphite2.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/graphite2/Types.h
mingw64-graphite2.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libgraphite2.dll.a
mingw64-graphite2.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/lib/pkgconfig/graphite2.pc
mingw64-graphite2.noarch: W: non-standard-dir-in-usr x86_64-w64-mingw32
mingw32-graphite2-debuginfo.noarch: W: invalid-license MPL
mingw32-graphite2-debuginfo.noarch: E: debuginfo-without-sources
mingw32-graphite2-debuginfo.noarch: W: non-standard-dir-in-usr i686-w64-mingw32
6 packages and 0 specfiles checked; 6 errors, 28 warnings.



Requires
--------
mingw32-graphite2-static (rpmlib, GLIBC filtered):

mingw64-graphite2-static (rpmlib, GLIBC filtered):

mingw64-graphite2-debuginfo (rpmlib, GLIBC filtered):

mingw32-graphite2 (rpmlib, GLIBC filtered):

mingw64-graphite2 (rpmlib, GLIBC filtered):

mingw32-graphite2-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
mingw32-graphite2-static:
    mingw32-graphite2-static

mingw64-graphite2-static:
    mingw64-graphite2-static

mingw64-graphite2-debuginfo:
    mingw64-graphite2-debuginfo

mingw32-graphite2:
    mingw32-graphite2

mingw64-graphite2:
    mingw64-graphite2

mingw32-graphite2-debuginfo:
    mingw32-graphite2-debuginfo



Source checksums
----------------
https://github.com/silnrsi/graphite/releases/download/1.3.10/graphite2-1.3.10.tgz :
  CHECKSUM(SHA256) this package     : 90fde3b2f9ea95d68ffb19278d07d9b8a7efa5ba0e413bebcea802ce05cda1ae
  CHECKSUM(SHA256) upstream package : 90fde3b2f9ea95d68ffb19278d07d9b8a7efa5ba0e413bebcea802ce05cda1ae


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1465676 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Sandro Mani 2017-07-09 14:50:07 EDT
Spec URL: https://smani.fedorapeople.org/review/mingw-graphite2.spec
SRPM URL: https://smani.fedorapeople.org/review/mingw-graphite2-1.3.10-2.fc27.src.rpm

%changelog
* Sun Jul 09 2017 Sandro Mani <manisandro@gmail.com> - 1.3.10-2
- License is just LGPLv2+
- Add license to -static subpackages

Actually, I don't see anything else than LGPLv2+ files in the actual source code. Don't know why the native package has that complex license breakdown, I suspect a license change was missed.
Comment 3 Ben Rosser 2017-07-09 20:26:32 EDT
Hm, yes, licensecheck doesn't find any non-LGPL things either.

You may want to file a bug on the native package about this, then.

Anyway, package is approved!
Comment 4 Sandro Mani 2017-07-10 01:34:49 EDT
Right -> https://bugzilla.redhat.com/show_bug.cgi?id=1468961

Thanks for the review!
Comment 5 Gwyn Ciesla 2017-07-10 08:34:32 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/mingw-graphite2
Comment 6 Fedora Update System 2017-07-11 10:28:56 EDT
mingw-graphite2-1.3.10-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4b735e572b
Comment 7 Fedora Update System 2017-07-12 04:38:01 EDT
mingw-graphite2-1.3.10-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4b735e572b
Comment 8 Fedora Update System 2017-07-27 12:51:51 EDT
mingw-graphite2-1.3.10-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.